## QmiClientDms QmiClientDms — QmiClient for the DMS service. |

## Synopsis

    struct              QmiClientDms;

## Object Hierarchy

      GObject
       +----QmiClient
             +----QmiClientDms

## Signals

      "event-report"                                   : Run Last

## Description

QmiClient which handles operations in the DMS service.

## Details

### struct QmiClientDms

    struct QmiClientDms;

The QmiClientDms structure contains private data and should only be accessed using the provided API.

## Signal Details

### The `"event-report"` signal

    void                user_function                      (QmiClientDms                      *object,
                                                            QmiIndicationDmsEventReportOutput *output,
                                                            gpointer                           user_data)      : Run Last

The ::event-report signal gets emitted when a 'Event Report' indication is received.

`object` : | A QmiClientDms.
`output` : | A QmiIndicationDmsEventReportOutput.
`user_data` : | user data set when the signal handler was connected.